#  IBUTILS2 release notes

&copy; Copyright 2019, Mellanox Technologies, Inc. All Rights Reserved.


## IBUTILS 2.4.0

### Version details:

Release date: July 2020


### Features:

- ibdiagnet: Added flexible output control options (--enable_output/--disable_output/--path) [RM 2182802, 2178454, 2178451, 2234136]
- ibdiagnet: Added cmd line option --discovery_only for build db_csv that contain fabric topology only [RM 2232126]

- ibdiagnet: Improvement performance of discovery change floe from sync to async [RM 2153815, 2183378]
- ibdiagnet: Improvement performance of CA 2 CA static routing validation [RM 2142876]
- ibdiagnet: Improvement performance of routing stage, avoid parsing SLVL file [RM 2149634]
- ibdiagnet: Improvement performance, skip static routing checks CA 2 CA if AR enabled [RM 2215130]
- ibdiagnet: Improvement performance of dumps writing for AR/FAR/UCFDBS [RM 2184163, 2183421, 2184164, 2184165]

- ibdiagnet: Support Congestion HCA Statistics Query MAD [RM 2041642]
- ibdiagnet: Support Switch Port State Table MAD in discovery fabric [RM 2089631]

- phy_plugin: new SLRG 16nm version [RM 2147924]



### Fixes:
- ibdiagnet: Segmentation fault error when fabric have two or more devices with same name [RM 2242145, 2242145]
- ibdiagnet: report PCI counters for all installed HCA [RM 2210819]
- ibdiagnet: Show AR groups correctly [RM 2076871]
- ibdiagnet: Fix failure when running config file with congestion flags [RM 2173178]
- ibdaignet: Fix crash of ibdaignet running from HCA root node with invalid lid [RM 2066983]
- ibdiagnet: Fix the counting of Aggregation nodes in Fabric summary table [RM 2090261]
- ibdiagnet: Improvement performance of Virtualization stage [RM 2129031]

- ibtopodiff: Fix Segmentation fault [RM 2084637, 2141826]

- phy_plugin: Support SMP Access Register length [RM 2147207]


### Changes:

- ibdiagnet: Remove ANs from CA to CA check for AR [RM 2229130]
- ibdiagnet: Collect SwitchInfo DB asynchronously [RM 2205023]
- ibdiagnet: Enable Fabric Summary by default [RM 2101646]
- ibdiagnet: Convert dates and versions to user readable format in nodes_info file [RM 2196034]
- ibdiagnet: Add version and running comand to dump files [RM 2166058]
- ibdiagnet: Increase SMP and GMP window max size to SMP=128, GMP=8096 [RM 2179253]

- Update ibnl for CS8500 (manta-ray) to support split mode [RM 1961190]
- Remove 'main' from node name when parsing IBNL files. [RM 2089332]

- ibtopodiff:  Add ibnl_dir command line option 

## IBUTILS 2.3.0

### Version details:

Release date: February 2020


### Features:

- ibdiagnet: Support Fabric Summary Table.
- ibdiagnet: Support Congestion Control configuration MADs.
- ibdiagnet: Add switch ports pkeys to the PKey file and CSV.
- ibdiagnet: Add support for Aggregation Node Active Jobs MAD.
- ibdiagnet: Add additional counters of Port Counters Extended to CSV and PM files.
- ibdiagnet: Add support for SHARP V2.


### Fixes:

- ibdiagnet: Fix gcc 9.2.1 warnings.
- ibdiagnet: Handle invalid LIDs on virtual port and switch port 0.
- ibdiagnet: Remove duplicated lines from pkeys section in csv.


### Changes:

- ibdianget: Add documentation for ibdiagnet scope feature.
- ibdiagnet: Add new flag to support specific version in sharp stage.
- ibdiagnet: Fix ibdiagnet_csv2xml.py to support Python 2 and Python 3.


## IBUTILS 2.2.1

### Version details:

Release date: November 2019


### Features:

- ibdiagnet: Support dumping virtual ports QoS information.
- ibdiagnet: Support generating configuration file.


### Fixes:

- ibdiagnet: Fix array overflow in credit loop check.
- ibis: fix compilation on xenserver6u5
- phy_diag_plugin: Fix segmentation fault in PCI plugin.
- phy_diag_plugin: Mark only the special port as not support DD.


### Changes:

- ibdiagnet: Prefer plugins from env variable IBDIAGNET_PLUGINS_PATH if set.
- ibdiagnet: Set 'N/A' for down ports for MTU, LWA, LSA in net_dump and net_dump_ext.
- ibdiagnet: Avoid writing log to default location if output_path option on.


## IBUTILS 2.2.0

### Version details:

Release date: September 2019


### Features:

- ibdiagnet: Collect Adaptive routing tables by default during routing stage.
- ibdiagnet: Support new threshold parameters for FW calculated BER counters:
  - ber_thresh_error &lt;thresh&gt;  : set threshold for ber errors (default=1e-8)
  - ber_thresh_warning &lt;thresh&gt; : set threshold for ber warnings (default=1e-13)
- phy_diag_plugin: Support new cable info fields:
  - CDR Latched TX/RX Loss Indicator
  - Latched Adaptive Equalization Fault
  - Latched  TX / RX LOL Indicator
  - Latched Temperature Alarm and Warning
  - Latched Voltage Alarm and Warning
  - RX Power Alarm and Warning
  - TX Bias Alarm and Warning
  - TX Power Alarm and Warning
  - Supply Voltage Reporting
  - Transmitter Technology
  - Extended Specification Compliance Codes
  - DateCode
  - Lot
  - TX Adaptive Equalization Freeze
  - RX Output Disable
  - TX Adaptive Equalization Enable
- phy_diag_plugin: Send MPEIN register based on device DPN.
- phy_diag_plugin: Add support for new MPIR PCI register.
- phy_diag_plugin: Send SLRG, SLRP, SLTP registers for PCI according to MPEIN.
- phy_diag_plugin: Send PCI counters diagnostic page for PCI according to MPEIN.
- phy_diag_plugin: net_dump_ext format changes.
- phy_diag_plugin:: Add SymbolErrorCounter to net_dump_ext.
- ibdm: Add ibnl file for Manta-Ray (CS8500).


### Fixes:

- ibdiagnet: fix sensor name dump in MTMP.
- phy_diag_plugin: Create net_dump_ext only when get_phy_info is enabled.


### Changes:

- ibdiagnet: Update possible_sections.txt file.
- ibdiagnet: Remove mlx_lossy from spec file.
- ibdiagnet: Skip on ANs in credit loop.
- ibdiagnet: Show help for plugins by default.
- phy_diag_plugin: Change format for net_dump_ext file.
- phy_diag_plugin: Update help message that get_p_info is for PCI.
- ibis: Enable mlx_lossy only if infiniband/mad.h exist.
- ibis: Support compilation on rdma-core.
- ibis: Add new API of diagnostic data mad get info and set clear.
- ibis: Add flag to compile mlx_lossy.


### Known issues

- ibdiagnet: When running with **-o &lt;path&gt;** option, ibdiagnet writes temporary log file at /var/tmp/ibdiagnet2.log instead of at the specified path.
- ibdiagnet: VL rate limits of virtual ports is not supported.
- ibdiagnet: Shows information of disconnected ports in net_dump_ext.

